Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Transaction Namespace Reference

## Compounds
exception | HeuristicMixed
exception | HeuristicRollback
exception | InvalidToken
exception | NoTransaction
exception | NotSupported
exception | RollbackError
exception | Security
exception | SystemError
interface | UserTransaction
## Typedefs
typedef sequence< octet > | TranToken
## Enumerations
enum | Status { ACTIVE, MARKED_ROLLBACK, PREPARED, COMMITTED, ROLLED_BACK, NO_TRANSACTION, PREPARING, COMMITTING, ROLLING_BACK }
enum | Status { ACTIVE, MARKED_ROLLBACK, PREPARED, COMMITTED, ROLLED_BACK, NO_TRANSACTION, PREPARING, COMMITTING, ROLLING_BACK }

## Typedef Documentation

typedef sequence< octet > Components::Transaction::TranToken

## Enumeration Type Documentation

enum Components::Transaction::Status

  | Enumeration values:
  ACTIVE |
  MARKED_ROLLBACK |
  PREPARED |
  COMMITTED |
  ROLLED_BACK |
  NO_TRANSACTION |
  PREPARING |
  COMMITTING |
  ROLLING_BACK |

enum Components::Transaction::Status

  | Enumeration values:
  ACTIVE |
  MARKED_ROLLBACK |
  PREPARED |
  COMMITTED |
  ROLLED_BACK |
  NO_TRANSACTION |
  PREPARING |
  COMMITTING |
  ROLLING_BACK |